#include <iostream>

using namespace std;

int main()
{
    int N,K,i,j,s;
    cin>>N>>K;
    cin>>i;
    s=i;
    if(i==K)
    {
        cin>>i;
        s=i;
        j=3;
    }
    else
    {
        j=2;
    }
    while(j<=N)
    {
        cin>>i;
        if(i==K)
        {
            if(j<N && j!=2)
            {
                cin>>i;
                s=i;
                j=j+2;
            }
            else
            {
                j++;
            }
        }
        else
        {
            j++;
        }
    }
    cout<<s<<endl;
    return 0;
}